[arch-commits] CVS update of extra/multimedia/came (2 files)

Alexander Baldeck alexander at archlinux.org
Fri Jun 8 12:29:27 EDT 2007


    Date: Friday, June 8, 2007 @ 12:29:27
  Author: alexander
    Path: /home/cvs-extra/extra/multimedia/came

   Added: came-1.9-curl-friendly.patch (1.1)
Modified: PKGBUILD (1.10 -> 1.11)

rebuild against new curl


------------------------------+
 PKGBUILD                     |   23 +++++++++++++----------
 came-1.9-curl-friendly.patch |   11 +++++++++++
 2 files changed, 24 insertions(+), 10 deletions(-)


Index: extra/multimedia/came/PKGBUILD
diff -u extra/multimedia/came/PKGBUILD:1.10 extra/multimedia/came/PKGBUILD:1.11
--- extra/multimedia/came/PKGBUILD:1.10	Wed May 31 14:20:40 2006
+++ extra/multimedia/came/PKGBUILD	Fri Jun  8 12:29:27 2007
@@ -1,23 +1,26 @@
-# $Id: PKGBUILD,v 1.10 2006/05/31 18:20:40 ganja_guru Exp $
+# $Id: PKGBUILD,v 1.11 2007/06/08 16:29:27 alexander Exp $
+# Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Curtis Campbell <curtisjamescampbell at hotmail.com>
-# Maintainer: dorphell <dorphell at archlinux.org>
-
+# Contributor: dorphell <dorphell at archlinux.org>
 pkgname=came
 pkgver=1.9
-pkgrel=3
+pkgrel=4
 pkgdesc="Replacement for xawtv webcam application"
 arch=(i686 x86_64)
+license=('GPL')
 url='http://linuxbrit.co.uk/camE/'
-depends=('giblib' 'curl')
-source=(http://linuxbrit.co.uk/downloads/camE-$pkgver.tar.gz)
+depends=('giblib' 'curl>=7.16.2')
+source=(http://linuxbrit.co.uk/downloads/camE-${pkgver}.tar.gz
+        came-1.9-curl-friendly.patch)
 md5sums=('8bdc049b01cd32088eef8cccf3c096ab')
 
 build() {
-  cd $startdir/src/camE-$pkgver
+  cd ${startdir}/src/camE-${pkgver}
+  patch -Np1 -i ${startdir}/src/came-1.9-curl-friendly.patch || return 1
   sed -i 's|#define VERSION "1.7"|#define VERSION "1.7"\n#define TRUE 1\n#define FALSE 0|' webcam.c
   make || return 1
-  install -D -m 755 camE $startdir/pkg/usr/bin/camE
-  install -D -m 644 example.camErc $startdir/pkg/usr/share/came/camErc
-  install -D -m 644 example.camErc.ssh $startdir/pkg/usr/share/came/camErc.ssh
+  install -D -m 755 camE ${startdir}/pkg/usr/bin/camE
+  install -D -m 644 example.camErc ${startdir}/pkg/usr/share/came/camErc
+  install -D -m 644 example.camErc.ssh ${startdir}/pkg/usr/share/came/camErc.ssh
 }
 
Index: extra/multimedia/came/came-1.9-curl-friendly.patch
diff -u /dev/null extra/multimedia/came/came-1.9-curl-friendly.patch:1.1
--- /dev/null	Fri Jun  8 12:29:26 2007
+++ extra/multimedia/came/came-1.9-curl-friendly.patch	Fri Jun  8 12:29:27 2007
@@ -0,0 +1,11 @@
+--- camE-1.9/webcam.c.orig	2007-04-17 22:33:33.000000000 +1000
++++ camE-1.9/webcam.c	2007-04-17 22:36:34.000000000 +1000
+@@ -987,8 +987,6 @@
+     /* shut up completely */
+     if (ftp_debug)
+       curl_easy_setopt(curl_handle, CURLOPT_VERBOSE, 1);
+-    else
+-      curl_easy_setopt(curl_handle, CURLOPT_MUTE, 1);
+ 
+     curl_easy_setopt(curl_handle, CURLOPT_UPLOAD, 1);
+ 




More information about the arch-commits mailing list